You might stumble over this trying to execute a yum update on an orcl linux 6.5:

# yum update
...
Error: Package: kernel-uek-debug-3.8.13-16.2.1.el6uek.x86_64 (public_ol6_UEKR3_latest)
Requires: kernel-firmware = 3.8.13-16.2.1.el6uek…
438 more words